#define AENA 3 // Winding A enable
#define ADIR 2 // Winding A direction
#define BENA 9 // Winding B enable
#define BDIR 8 // Winding B direction

void setup()  {
  pinMode(AENA, OUTPUT);
  pinMode(ADIR, OUTPUT);
  pinMode(BENA, OUTPUT);
  pinMode(BDIR, OUTPUT);
  digitalWrite(AENA, HIGH);
  digitalWrite(BENA, HIGH);
  digitalWrite(ADIR, HIGH);
  digitalWrite(BDIR, HIGH);
}

unsigned int period = 5000; // Time in microseconds for one step

void loop() {
  stepForward(1000); // Forward 1000 steps
  stepReverse(1000); // Reverse 1000 steps
}

void stepForward(int steps) {
  for (int i = 0; i < steps; i++) {
    delayMicroseconds(period/4);
    digitalWrite(BDIR, LOW);
    delayMicroseconds(period/4);
    digitalWrite(ADIR, LOW);
    delayMicroseconds(period/4);
    digitalWrite(BDIR, HIGH);
    delayMicroseconds(period/4);
    digitalWrite(ADIR, HIGH);
  }
}

void stepReverse(int steps) {
  for (int i = 0; i < steps; i++) {
    delayMicroseconds(period/4);
    digitalWrite(ADIR, HIGH);
    delayMicroseconds(period/4);
    digitalWrite(BDIR, HIGH);
    delayMicroseconds(period/4);
    digitalWrite(ADIR, LOW);
    delayMicroseconds(period/4);
    digitalWrite(BDIR, LOW);
  }
}

